<?php
namespace Claromentis\Core\Component;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("ti" . "tl" . "e" => base64_decode("dGl0bG" . "U="), "_daabcaef5d13ad11434c594d4" . "5e1fc0e" => base64_decode("RXJyb3I" . "gbWVzc2" . "FnZQ=="), "_5e5ff29e5570db7c92f6a3fb6" . "5526022" => base64_decode("PGRpdiBjbGFzcz0iYWxlcnQgYWxlcnQtZGFuZ2VyI" . "iByb2xlPSJhbGVydCI+"), "_32710812e9f3c730de6579937e571e" . "c3" => base64_decode("PC" . "9k" . "aX" . "Y+"), "_9d563921fc01" . "094b4d118c5bf" . "2187d4b" => base64_decode("Y2xhX2h0bWxzYWZ" . "l"), "_4d707fab93bebb00bbe69e8159697c9" . "0" => base64_decode(""));
use Claromentis\Core\Application;
use Claromentis\Core\Component\Exception\ComponentException;






class MessageComponent implements ComponentInterface
{
    protected string $header;
    protected string $body;
    protected ?ComponentInterface $parent;
    public function __construct(string $_c8e54c9b73e8f8de2a97a9c3a1daf1c3, string $_f50e845669e7cd06bbc643eeb57aa01d, ComponentInterface $_bc1b84b0f9f841f8b734489a4a3783ad = null)
    {
        $this->header = $_c8e54c9b73e8f8de2a97a9c3a1daf1c3;
        $this->body = $_f50e845669e7cd06bbc643eeb57aa01d;
        $this->parent = $_bc1b84b0f9f841f8b734489a4a3783ad;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOptions()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function ShowBody($id_string, OptionsInterface $options, Application $app)
    {
        $_f50e845669e7cd06bbc643eeb57aa01d = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_9d563921" . "fc01094b4" . "d118c5bf2" . "187d4b"]($this->body);
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5e5ff29e5570db7" . "c92f6a3fb6552602" . "2"] . $_f50e845669e7cd06bbc643eeb57aa01d . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_32710812e9f3c730de6579937e" . "571ec3"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function ShowHeader($id_string, OptionsInterface $options, Application $app)
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9d563921fc01094b4d118c5bf2187" . "d4b"]($this->header);
    }
    
    
    
    
    
    
    
    
    public function GetSizeConstraints()
    {
        if (null !== $this->parent) {
            return $this->parent->GetSizeConstraints();
        }
        return [];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetCssClass()
    {
        if (null !== $this->parent) {
            return $this->parent->GetCssClass();
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"];
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCoverInfo()
    {
        if (null !== $this->parent) {
            return $this->parent->GetOptions();
        }
        return [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["titl" . "e"] => $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_daabcaef5d13ad1" . "1434c594d45e1fc0" . "e"]];
    }
}